#!/usr/bin/python

import sys
import EPP

# Default settings 
host = "beta-dev.nic.fr"
port = 6666
me = "TEST"
mypassword = "toto2006"

if len(sys.argv) != 2:
    print >>sys.stderr, ("Usage: %s domain-name" % sys.argv[0])
    sys.exit(1)

domainname = sys.argv[1]
epp = EPP.EPP(host, port, me, mypassword)
name = EPP.EPP.Domain(epp, domainname)
epp.log_in()
(available, reason) = name.check()
if available:
    print "%s is available" % domainname
else:
    print "%s is NOT available because %s" % (domainname, reason)
epp.log_out()

